ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
odf.odf2xhtml.TagStack Class Reference

## Public Member Functions
def | __init__
def | push
def | pop
def | stackparent
def | rfindattr
| Find a tag with the given attribute. More...
def | count_tags

## Public Attributes
| stack

## Detailed Description

Definition at line 304 of file odf2xhtml.py.

## Constructor & Destructor Documentation

def odf.odf2xhtml.TagStack.__init__ | ( |  | self | ) |

Definition at line 305 of file odf2xhtml.py.

## Member Function Documentation

def odf.odf2xhtml.TagStack.count_tags | ( |  | self,
|  |  | tag
| ) |  |

Definition at line 326 of file odf2xhtml.py.

def odf.odf2xhtml.TagStack.pop | ( |  | self | ) |

Definition at line 311 of file odf2xhtml.py.

def odf.odf2xhtml.TagStack.push | ( |  | self,
|  |  | tag,
|  |  | attrs
| ) |  |

Definition at line 308 of file odf2xhtml.py.

def odf.odf2xhtml.TagStack.rfindattr | ( |  | self,
|  |  | attr
| ) |  |

Find a tag with the given attribute.

Definition at line 321 of file odf2xhtml.py.

def odf.odf2xhtml.TagStack.stackparent | ( |  | self | ) |

Definition at line 315 of file odf2xhtml.py.

## Member Data Documentation

odf.odf2xhtml.TagStack.stack

Definition at line 306 of file odf2xhtml.py.

The documentation for this class was generated from the following file:

- odf/odf2xhtml.py